<%@ page language="java"  contentType="text/html; charset=UTF-8"
%><%@ include file="/jsp/common/jsp_init.jsp" %>
<body>
<%@ include file="/jsp/custom/menu_init.jsp" %>

<strong>
<table style="width:200px;" >
<%
	// GUIInfo の全キーを取得し、userInfo でアクセス可能な画面のみ、列挙する。
//	ResourceManager resource = ResourceFactory.newInstance( userInfo.getLang() );
//	resource = ResourceFactory.newInstance( userInfo.getLang() );
//	GUIInfo[] guiInfos = resource.getAllGUIInfo_KeySort();
	GUIInfo[] guiInfos = userInfo.getGUIInfos();
	for( int i=0; i<guiInfos.length; i++ ) {
		String url = guiInfos[i].getAddress();
		if( ! url.startsWith( "http" ) ) {
			out.print( "<a href=\"../" + url );
			out.println( "/index.jsp?GAMENID=" + guiInfos[i].getKey() );
		}
		else {
			out.print( "<a href=\"" + url );
		}
		out.print( "\" target=\"" + guiInfos[i].getTarget() + "\">" );
		out.print(guiInfos[i].getKey() + "_" );
		out.println( guiInfos[i].getName() + "</a><br />" );
	}
%>
</table>
</strong>
</body>
</html>
